# Edited by (c) City Car Driving Physics Customizer by ---Max--- v1.1.5 19.03.10 16:16:06

[Aerodynamics]
m_airDensity=1.3
m_dragCoefficient=0.43
m_extraGravityws=0; 0; 0; 0
m_frontalArea=1.98
m_liftCoefficient=-0.3

[Brake]
Brakes_F0_Const=22.0
MaxHandbrakeValue=1
m_wheelsMinTimeToBlock=0.1
MinPedalInputToBlock_0_1=0.1
MinPedalInputToBlock_2_3=0.1
m_maxBreakingTorque_0_1=1396.5
m_maxBreakingTorque_2_3=1053.5
isConnectedToHandbrake_0_1=false
isConnectedToHandbrake_2_3=True

UseABS=true
AbsLockTime=0.0
AbsTimeToRestoreLock=0.1
AbsBrakingTorqueCoeff=0.8
AbsMinBrakeToActivate=0.1
AbsMinSpeedToActivate=1

[Common]
MeshShapeRadius=0.01
body_friction=1.0
body_mass=1660.0
body_restitution=0
m_chassisUnitInertiaPitch=2
m_chassisUnitInertiaRoll=2
m_chassisUnitInertiaYaw=2.5
m_frictionEqualizer=0.5
m_maxVelocityForPositionalFriction=1
m_torquePitchFactor=2.9
m_torqueRollFactor=1.9
m_torqueYawFactor=0.3
MaterialName="CarBody"
PhysicsFiles="meshes:cars/BMW_Z8_by_Adrian/p_body.hkx"

[Engine]
EngineFileName="Engine/BMW_Z8_by_Adrian/1ZR-FE.power.csv"
MaxMass=12
MaxRadius=0.1
MaxRpmAcc=4400
MinRpmAcc=-4400
ResistFileName="Engine/BMW_Z8_by_Adrian/1ZR-FE.losts.csv"
maxRPM=6600
minRPM=450
xxRPM=800
EngneCoolingSpeed=2.0
EngneHeatingSpeed=0.4
TermostatTemperature=80.0
OilPressureXX=1.0

[Engine2]
MaxStarterTorque=200
MaxStarterRpm=650
MinStarterWorkTime=0.5
MinStarterGear=1
MaxStarterGear=2
RpmChangeSpeedStart=0.33
RpmChangeSpeedPow=0.5
RpmChangeSpeedMin=0.1

[TransSync]
MinDeltaRpm=10
MaxDeltaRpm=3000
MinDeltaRpm_SyncSpeed=5000
MaxDeltaRpm_SyncSpeed=7000

[Gear ratio]
DefaultDriveBridgeTorqueRatio=0;1
GearBoxLimitState=3
MinSpeedForKickDown=0.1
gearsRatio_auto=2.847;1.552;1.0;0.7
gearsRatio_manual=3.538;1.913;1.310;0.971;0.818;0.7
m_primaryTransmissionRatio_auto=4.231
m_primaryTransmissionRatio_manual=4.231
m_reverseGearRatio_auto=2.343
m_reverseGearRatio_manual=3.75

[Misc]
extra_centerOfMass=0; -0.15; -0.1
CargoEnabled=false

[Steering]
m_maxSpeedFullSteeringAngle=61
m_maxSteeringAngle=0.65

[Suspension]
dampingCompression_and_dampingRelaxation=1.5
suspension_length_0_1=0.49
suspension_length_2_3=0.49
suspension_strength_0_1=30
suspension_strength_2_3=30

[Transmission]
AutoTransmissionName="Transmission\BMW_Z8_by_Adrian"
AutoTransmission_1to2=14;0; 20;0.5; 39;0.8; 46;0.9; 61;1
AutoTransmission_2to1=8;0; 12;0.5; 29;0.9; 45;1
AutoTransmission_2to3=44;0; 45;0.4; 57;0.65; 92;0.9; 107;1
AutoTransmission_3to2=40;0; 42;0.4; 52;0.7; 68;0.9; 85;1
AutoTransmission_3to4=68;0; 68;0.5; 110;0.8; 135;0.9; 164;1
AutoTransmission_4to3=58;0; 60;0.5; 74;0.7; 98;0.85; 120;0.9; 144;1
manual_transmission=true
ManualTransmissionEfficiency=1

[VelocityDamper]
m_collisionSpinDamping=4
m_collisionThreshold=1
m_normalSpinDamping=0

[Wheels]
WheelForceFeedbackMultiplier=0.0
WheelRadius=0.330
WheelViscosityFriction=0.03
m_doesWheelSteer[0]=True
m_doesWheelSteer[1]=True
m_doesWheelSteer[2]=False
m_doesWheelSteer[3]=False
m_numWheels=4
m_wheelParams[0].m_hardpointChassisSpace=-0.740; 0.0; -1.33
m_wheelParams[1].m_hardpointChassisSpace=0.740; 0.0; -1.33
m_wheelParams[2].m_hardpointChassisSpace=-0.740; 0.0; 1.17
m_wheelParams[3].m_hardpointChassisSpace=0.740; 0.0; 1.17
m_wheelParams[0].m_mass=12
m_wheelParams[1].m_mass=12
m_wheelParams[2].m_mass=12
m_wheelParams[3].m_mass=12
m_wheelParams[0].m_friction=3
m_wheelParams[1].m_friction=3
m_wheelParams[2].m_friction=3
m_wheelParams[3].m_friction=3
m_wheelParams[0].m_slipAngle=0.000
m_wheelParams[1].m_slipAngle=0.000
m_wheelParams[2].m_slipAngle=0.000
m_wheelParams[3].m_slipAngle=0.000

[Tires]
defaultThickness=0.3
